/****************************************************************************
PMOD-TMDS pin assign for Xilinx device
+--------+----+--------+-----+----+-----------------------------------+
| PMOD   |HDR | TMDS   |wire |HDMI| note                              |
| [index]|pin | signal |name |pin |                                   |
+--------+----+--------+-----+----+-----------------------------------+
|   1[0] |  1 | Data2+ |P[0] |  1 |
|  GND   |5,11| Shield2|     |  2 |
|   2[1] |  3 | Data2- |N[0] |  3 |
+--------+----+--------+-----+----+-----------------------------------+
|   7[4] |  2 | Data1+ |P[1] |  4 |
|  GND   |5,11| Shield1|     |  5 |
|   8[5] |  4 | Data1- |N[1] |  6 |
+--------+----+--------+-----+----+-----------------------------------+
|   3[2] |  5 | Data0+ |P[2] |  7 |
|  GND   |5,11| Shield0|     |  8 |
|   4[3] |  7 | Data0- |N[2] |  9 |
+--------+----+--------+-----+----+-----------------------------------+
|   9[6] |  6 | Clock- |P[3] | 10 |
|  GND   |5,11| ShieldC|     | 11 |
|  10[7] |  8 | Clock- |N[3] | 12 |
+--------+----+--------+-----+----+-----------------------------------+

+--------+----+--------+-----+----+-----------------------------------+
| PMOD   |HDR | HMDI   |TMDS |HDMI| note                              |
| [index]|pin | signal |IDX  |pin |                                   |
+--------+----+--------+-----+----+-----------------------------------+
| VCC3V3 |6,12|        |     | -- |                                   |
|  ---   | -- | VCC5V  |     | 18 |ꕔSINKdAڑoɎgp   |
|  GND   |5,11| SHIELD |     | -- |                                   |
+--------+----+--------+-----+----+-----------------------------------+
|  ---   | -- | CEC    |     | 13 |ڑ                             |
|  ---   | -- | Utility|     | 14 |ڑ (HEAC+)                     |
|  ---   | -- | SCL    |     | 15 |ڑ                             |
|  ---   | -- | SDA    |     | 16 |ڑ                             |
|  GND   |5,11| GND    |     | 17 |ڑ (DDC,CECpAHEACV[h)   |
|  ---   | -- | HPD    |     | 19 |ڑ (HEAC-)                     |
+--------+----+--------+-----+----+-----------------------------------+

****************************************************************************/
module pmod_tmds (
	input  wire [3:0] TMDS_P,TMDS_N,
	output wire [7:0] PMOD
);
assign {PMOD[0],PMOD[1]} = {TMDS_P[2],TMDS_N[2]}; // Data2 (R)
assign {PMOD[4],PMOD[5]} = {TMDS_P[1],TMDS_N[1]}; // Data1 (G)
assign {PMOD[2],PMOD[3]} = {TMDS_P[0],TMDS_N[0]}; // Data0 (B,HSYNC,VSYNC)
assign {PMOD[6],PMOD[7]} = {TMDS_P[3],TMDS_N[3]}; // Clock

endmodule

