//******************************************************************//
// intrger divider
//******************************************************************//
module divider
#(
  parameter WIDTH  = 26,
  parameter CYCLE  = 27000000
)(
  input  wire R,
  input  wire C,
  output reg  O
);

localparam [WIDTH-1:0] FULLCNT = CYCLE;
localparam [WIDTH-2:0] HALFCNT = FULLCNT[WIDTH-1:1];

reg  [WIDTH-2:0] cnt;
wire half_end = (cnt[0]==1'b0 || FULLCNT[0]==1'b0);

always @ (posedge C)
begin
  if(R)
  begin
    cnt  <= HALFCNT;
    O    <= 1'b0;
  end else begin
    if( (cnt[WIDTH-2:1]=='d0) && (half_end || O) )
    begin
      cnt  <= HALFCNT;
      O    <= ~O;
    end else begin
      cnt  <= cnt - 'd1;
    end
  end
end
endmodule
