//******************************************************************//
// Gradation test pattern generator
//******************************************************************//
module video_gradation(
  input         i_reset,
  input         i_clk,
  input         i_hblank,
  input         i_vblank,
  input [11:0]  i_vcnt,
  input [11:0]  i_hcnt,
  output [7:0] o_red, o_green, o_blue
);
reg [7:0] red,green,blue;
reg [7:0] frame;
reg hblank_d;
reg vblank_d;

always@(posedge i_clk or posedge i_reset)
begin
  if(i_reset)
  begin
    red   <= 'd0;
    green <= 'd0;
    blue  <= 'd0;
    frame <= 'd0;
    hblank_d <= 'b0;
    vblank_d <= 'b0;
  end else begin
    hblank_d <= i_hblank;
    vblank_d <= i_vblank;
    if(vblank_d && ~i_vblank)
    begin
      frame <= frame + 'd1;
    end
	if(~i_hblank)
    begin
      red   <= red + 8'h01;
//      green <= (vcnt-vsync-vbp+shift)&8'hFF;
      blue  <= blue + 8'h01;
	end else begin
      red   <= frame;
      green <= i_vcnt[7:0] + frame;
      blue  <= i_vcnt[7:0] - frame;
	end
  end
end
assign o_red   = red;
assign o_green = green;
assign o_blue  = blue;

endmodule
