//******************************************************************//
// FullHD video clock and timing
//******************************************************************//

//******************************************************************//
// HDMI INFORMATION
//******************************************************************//
`define DEF_VIDEO_CODE  (7'h10)

//******************************************************************//
// AUDIO TIMMING
//******************************************************************//
`define DEF_TIMER_ADD   (4)

//******************************************************************//
// PIXEL CLOCK GNERATOR
//******************************************************************//

// PLL-PLL : 108.000MHz
`define PLL_CLOCK_SOURCE pll27m
`define PCLK_PLL_MODULE  clk27m148p5m
`define DEF_TMDS_CLOCK   148500000

//******************************************************************//
// VIDEO TIMMING GENERATION
//******************************************************************//
localparam HPIXELS = 12'd1920; //Horizontal Live Pixels
localparam HBKPRCH = 12'd88;  //Horizontal Back Portch
localparam HSYNCPW = 12'd44;  //HSYNC Pulse Width
localparam HFNPRCH = 12'd148;   //Horizontal Front Portch
localparam HSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
//
localparam VLINES  = 12'd1080;  //Vertical Live ines
localparam VBKPRCH = 12'd4;   //Vertical Back Portch
localparam VSYNCPW = 12'd5;    //VSYNC Pulse Width
localparam VFNPRCH = 12'd36;    //Vertical Front Portch
localparam VSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
