//******************************************************************//
// UXGA video clock and timing
//******************************************************************//

//******************************************************************//
// HDMI INFORMATION
//******************************************************************//
`define DEF_VIDEO_CODE  (7'h00)

//******************************************************************//
// AUDIO TIMMING
//******************************************************************//
`define DEF_TIMER_ADD   (4)

//******************************************************************//
// PIXEL CLOCK GNERATOR
//******************************************************************//
// PLL-PLL : 162.000MHz
`define PLL_CLOCK_SOURCE pll27m
`define PCLK_PLL_MODULE  clk27m162m
`define DEF_TMDS_CLOCK   162000000

//******************************************************************//
// VIDEO TIMMING GENERATION
//******************************************************************//
localparam HPIXELS = 11'd1600; //Horizontal Live Pixels
localparam HFNPRCH = 11'd64;   //Horizontal Front Portch
localparam HSYNCPW = 11'd192;  //HSYNC Pulse Width
localparam HBKPRCH = 11'd304;  //Horizontal Back Portch
localparam HSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
//
localparam VLINES  = 11'd1200;  //Vertical Live ines
localparam VSYNCPW = 11'd3;    //VSYNC Pulse Width
localparam VFNPRCH = 11'd1;    //Vertical Front Portch
localparam VBKPRCH = 11'd46;   //Vertical Back Portch
localparam VSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
