//******************************************************************//
// VGA video clock and timing
//******************************************************************//

//******************************************************************//
// HDMI INFORMATION
//******************************************************************//
// VIC=01 : 640x480p@59.94/60Hz, 4:3,PCLK=25.175MHz / 25.2MHz
`define DEF_VIDEO_CODE  7'h01

//******************************************************************//
// AUDIO TIMMING
//******************************************************************//
`define DEF_TIMER_ADD   (4)

//******************************************************************//
// PIXEL CLOCK GNERATOR
//******************************************************************//
// PLL-PLL : 25.200MHz
`define PLL_CLOCK_SOURCE pll27m
`define PCLK_PLL_MODULE  clk27m25p2m
`define DEF_TMDS_CLOCK   25200000

//******************************************************************//
// VIDEO TIMMING GENERATION
//******************************************************************//
localparam HPIXELS = 12'd640; //Horizontal Live Pixels
localparam HFNPRCH = 12'd16;   //Horizontal Front Portch
localparam HSYNCPW = 12'd96;  //HSYNC Pulse Width
localparam HBKPRCH = 12'd48;  //Horizontal Back Portch
localparam HSYNC_POLARITY = 1'b0; //0-Negative, 1-Positive
//
localparam VLINES  = 12'd480;  //Vertical Live ines
localparam VFNPRCH = 12'd10;    //Vertical Front Portch
localparam VSYNCPW = 12'd2;    //VSYNC Pulse Width
localparam VBKPRCH = 12'd33;   //Vertical Back Portch
localparam VSYNC_POLARITY = 1'b0; //0-Negative, 1-Positive
