//******************************************************************//
// 480p 16:9 video clock and timing
//******************************************************************//

//******************************************************************//
// HDMI INFORMATION
//******************************************************************//
// VIC=03 (16:9) , 720x480p@60/59.94Hz , 27.027/27.000 MHz
`define DEF_VIDEO_CODE  (7'h03)
`define DEF_VIDEO_APR   (2'b10)

//******************************************************************//
// AUDIO TIMMING
//******************************************************************//
`define DEF_TIMER_ADD   (4)

//******************************************************************//
// PIXEL CLOCK GNERATOR
//******************************************************************//
// PLL-PLL : 27.000MHz
`define PLL_CLOCK_SOURCE pll27m
`define PCLK_PLL_MODULE  clk27m27m
`define DEF_TMDS_CLOCK  (27000000)

//******************************************************************//
// VIDEO TIMMING GENERATION
//******************************************************************//
localparam HPIXELS = 11'd720; //Horizontal Live Pixels
localparam HFNPRCH = 11'd16;   //Horizontal Front Portch
localparam HSYNCPW = 11'd62;  //HSYNC Pulse Width
localparam HBKPRCH = 11'd60;  //Horizontal Back Portch
localparam HSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
//
localparam VLINES  = 11'd480;  //Vertical Live ines
localparam VSYNCPW = 11'd6;    //VSYNC Pulse Width
localparam VFNPRCH = 11'd9;    //Vertical Front Portch
localparam VBKPRCH = 11'd30;   //Vertical Back Portch
localparam VSYNC_POLARITY = 1'b0; //1-Negative, 0-Positive
