//******************************************************************//
// XGA video clock and timing
//******************************************************************//

//******************************************************************//
// HDMI INFORMATION
//******************************************************************//
`define DEF_VIDEO_CODE  (7'h00)

//******************************************************************//
// AUDIO TIMMING
//******************************************************************//
`define DEF_TIMER_ADD   (4)

//******************************************************************//
// PIXEL CLOCK GNERATOR
//******************************************************************//
// PLL-PLL : 108.000MHz
`define PLL_CLOCK_SOURCE pll27m
`define PCLK_PLL_MODULE  clk27m75m
`define DEF_TMDS_CLOCK   75000000

//******************************************************************//
// VIDEO TIMMING GENERATION
//******************************************************************//
localparam HPIXELS = 11'd1024; //Horizontal Live Pixels
localparam HFNPRCH = 11'd24;   //Horizontal Front Portch
localparam HSYNCPW = 11'd136;  //HSYNC Pulse Width
localparam HBKPRCH = 11'd160;  //Horizontal Back Portch
localparam HSYNC_POLARITY = 1'b1; //1-Negative, 0-Positive
//
localparam VLINES  = 11'd768;  //Vertical Live ines
localparam VBKPRCH = 11'd29;   //Vertical Back Portch
localparam VSYNCPW = 11'd6;    //VSYNC Pulse Width
localparam VFNPRCH = 11'd3;    //Vertical Front Portch
localparam VSYNC_POLARITY = 1'b1; //1-Negative, 0-Positive
